Create a supervisorial relationship
curl --request POST \
--url https://api.byblend.com/api/v1/prescribers/{prescriber_id}/supervisors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"supervisor_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"state": "CA"
}
'import requests
url = "https://api.byblend.com/api/v1/prescribers/{prescriber_id}/supervisors"
payload = {
"supervisor_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"state": "CA"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({supervisor_id: '0227d1e5-ba9a-42b5-8fe2-38882aa65708', state: 'CA'})
};
fetch('https://api.byblend.com/api/v1/prescribers/{prescriber_id}/supervisors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"supervisor": {
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"first_name": "Willard",
"last_name": "Donnelly",
"npi": "1234567890"
},
"supervisee": {
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"first_name": "Willard",
"last_name": "Donnelly",
"npi": "1234567890"
}
}Prescribers
Create a supervisorial relationship
Create a supervisorial relationship for a specific prescriber in a specific state. Supervisors must have a valid qualification in any state to supervise.
POST
/
api
/
v1
/
prescribers
/
{prescriber_id}
/
supervisors
Create a supervisorial relationship
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique (UUID) identifier, or 10-digit NPI, for the prescriber
Body
application/json
Response
201 - application/json
Supervisor created successfully
Unique identifier
Example:
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time of creation
Example:
"2025-03-15T12:00:00Z"
Date and time of last update
Example:
"2025-03-15T12:00:00Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I